#!/bin/sh
# Compact and maintain all sites. This is a low-priority background job.
# It can be a bit noisy, so chronic is used to only show output on error.

if [ -x "`which ikiwiki-hosting-web-daily 2>/dev/null`" ]; then
	nice -n 19 ionice -c 3 chronic ikiwiki-hosting-web-daily
fi

# Backup sites once a day.
if [ -x "`which ikiwiki-hosting-web-backup 2>/dev/null`" ]; then
	nice -n 19 ionice -c 3 chronic ikiwiki-hosting-web-backup
fi

# Clean up unfinished sites. This produces output you probably want to see.
if [ -x "`which ikisite-delete-unfinished-site 2>/dev/null`" ]; then
	ikisite-delete-unfinished-site --all
fi
